# ===================================
#  Form Field Definitions
# ===================================

tabs: 
    fields:
        not_found_image:
            label: toughdeveloper.imageresizer::lang.settings.not_found_image_label
            comment: toughdeveloper.imageresizer::lang.settings.not_found_image_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_default
            type: mediafinder
            span: auto

        default_mode:
            label: toughdeveloper.imageresizer::lang.settings.default_mode_label
            comment: toughdeveloper.imageresizer::lang.settings.default_mode_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_default
            type: dropdown
            options:
                'auto': toughdeveloper.imageresizer::lang.settings.auto
                'exact': toughdeveloper.imageresizer::lang.settings.mode_exact
                'portrait': toughdeveloper.imageresizer::lang.settings.mode_portrait
                'landscape': toughdeveloper.imageresizer::lang.settings.mode_landscape
                'crop': toughdeveloper.imageresizer::lang.settings.mode_crop
            span: auto

        default_offset_x:
            label: toughdeveloper.imageresizer::lang.settings.default_offset_x_label
            comment: toughdeveloper.imageresizer::lang.settings.default_offset_x_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_default
            default: 0
            type: number
            span: auto

        default_offset_y:
            label: toughdeveloper.imageresizer::lang.settings.default_offset_y_label
            comment: toughdeveloper.imageresizer::lang.settings.default_offset_y_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_default
            default: 0
            type: number
            span: auto

        default_extension:
            label: toughdeveloper.imageresizer::lang.settings.default_extension_label
            comment: toughdeveloper.imageresizer::lang.settings.default_extension_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_default
            type: dropdown
            options:
                'auto': toughdeveloper.imageresizer::lang.settings.auto
                'jpg': 'jpg'
                'jpeg': 'jpeg'
                'gif': 'gif'
                'png': 'png'
            default: 'auto'
            span: auto

        default_quality:
            label: toughdeveloper.imageresizer::lang.settings.default_quality_label
            comment: toughdeveloper.imageresizer::lang.settings.default_quality_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_default
            type: number
            default: 95
            span: auto

        default_sharpen:
            label: toughdeveloper.imageresizer::lang.settings.default_sharpen_label
            comment: toughdeveloper.imageresizer::lang.settings.default_sharpen_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_default
            type: number
            default: 0
            span: auto

        tinypng_hint:
            type: hint
            path: $/toughdeveloper/imageresizer/models/settings/_tinypng_hint.htm
            tab: toughdeveloper.imageresizer::lang.settings.tab_advanced
            trigger:
                action: show
                field: enable_tinypng
                condition: checked

        tinypng_stats:
            type: partial
            path: $/toughdeveloper/imageresizer/models/settings/_tinypng_stats.htm
            tab: toughdeveloper.imageresizer::lang.settings.tab_advanced
            trigger:
                action: show
                field: enable_tinypng
                condition: checked

        enable_tinypng:
            label: toughdeveloper.imageresizer::lang.settings.enable_tinypng_label
            comment: toughdeveloper.imageresizer::lang.settings.enable_tinypng_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_advanced
            type: switch
            span: auto

        tinypng_developer_key:
            label: toughdeveloper.imageresizer::lang.settings.tinypng_developer_key_label
            comment: toughdeveloper.imageresizer::lang.settings.tinypng_developer_key_comment
            tab: toughdeveloper.imageresizer::lang.settings.tab_advanced
            span: auto
            trigger:
                action: show
                field: enable_tinypng
                condition: checked
